package com.junmp.jyzb.api.expander;

import cn.hutool.core.util.StrUtil;
import com.junmp.v2.config.api.context.ConfigContext;

/**
 * <pre>
 *
 * 描述：配置文件的扩展
 * 版本：1.0.0
 * 日期：2022/7/1 下午2:35
 * 作者：ningzp@junmp.com.cn
 * <br>修改记录
 * <br>修改日期        修改人          修改内容
 *
 * </pre>
 */
public class KfExpander {

    private static String SYNC_API_HOST = "http://192.168.3.10:10052";

    /**
     * 获取标签对接ip端口
     *
     * @return
     */
    public static String getSyncApiHost() {
        return ConfigContext.getContext().getSysConfigValueWithDefault("SYNC_KF_API_HOST", String.class, SYNC_API_HOST);
    }


    /**
     * 推送人员绑定箱门信息
     * @return
     */
    public static String sendBoxBindPoliceInfo() {
        String path = ConfigContext.getContext().getSysConfigValueWithDefault("SEND_BOXBIND_POLICE_INFO", String.class, "/v1/wms/cabinet/boxBindPolice");
        return StrUtil.format("{}{}", getSyncApiHost(), path);
    }


}
